Subject: Re: [PATCH net 6/8] ice: improve updating ice_{t, r}x_ring::xsk_pool

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Jul 2024 06:38:58 -0700

On Wed, 24 Jul 2024 17:49:12 +0200 Maciej Fijalkowski wrote:
> > So if we are already in the af_xdp handler, and update patch sets pool
> > to NULL - the af_xdp handler will be fine with the pool becoming NULL?
> > I guess it may be fine, it's just quite odd to call the function called
> > _ONCE() multiple times..  
> 
> Update path before NULLing pool will go through rcu grace period, stop
> napis, disable irqs, etc. Running napi won't be exposed to nulled pool in
> such case.

Could you make it clearer what condition the patch is fixing, then?
What can go wrong without this patch?